package lu.tudor.santec.gecamed.agenda.ejb.session.interfaces;

import javax.ejb.Remote;

import lu.tudor.santec.gecamed.agenda.ejb.entity.beans.AgendaCalendar;

/**
 * @author hermenj
 *
 * @version
 * <br>$Log: DoctenaSyncInterface.java,v $
 */
@Remote
public interface DoctenaSyncInterface {

	public void intSyncBean(AgendaCalendar agenda) throws Exception;

	public boolean syncDoctena(boolean fullSync, boolean debug);

	public AgendaCalendar getAgenda();

	public String getLog();

	public boolean connectFTP()  throws Exception;
	
	public int getPushedAppointments() ;

	public int getFetchedAppointments() ;

	public int getImportedAppointments() ;
}
